package main

import (
	"fmt"
	"log"
	"net/http"
	"os"
)

func main() {
	router := http.NewServeMux()
	router.Handle("/", &books{})
	err := http.ListenAndServe(":8080", router)
	if err != nil {
		log.Print(err)
		os.Exit(1)
	}
}

type books struct{}

func (h *books) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	fmt.Fprint(w, "No books available!")
}
